<script>
	import Menu from './Menu.svelte';

	export let origin;
	export let menu = null;
	export let title;

	const year = new Date().getFullYear();
</script>

<footer>
	{#if menu}
		<Menu menu={menu.menu} />
	{/if}
	<p>© {year} <a class="link-no-decor" href={origin}>{@html title}</a></p>
</footer>

<style>
	footer {
		text-align: center;
		margin-block-end: var( --spacing-outer );
	}
</style>
